VGS(8) | System Manager's Manual | VGS(8)

# NAME

vgs - report information about volume groups

# SYNOPSIS

vgs [--aligned] [-d|--debug] [-h|-?|--help] [--ignorelockingfailure] [--nameprefixes] [--noheadings] [--nosuffix] [-o|--options [+]Field[,Field]] [-O|--sort [+|-]Key1[,[+|-]Key2[,...]]] [-P|--partial] [--rows] [--separator Separator] [--unbuffered] [--units hsbkmgtHKMGT] [--unquoted] [-v|--verbose] [--version] [VolumeGroupName [VolumeGroupName...]]

# DESCRIPTION

vgs produces formatted output about volume groups.

# OPTIONS

See lvm for common options.

--aligned
  Use with --separator to align the output columns.
--nameprefixes
  Add an "LVM2_" prefix plus the field name to the output. Useful with --noheadings to produce a list of field=value pairs that can be used to set environment variables (for example, in udev (7) rules).
--noheadings
  Suppress the headings line that is normally the first line of output. Useful if grepping the output.
--nosuffix
  Suppress the suffix on output sizes. Use with --units (except h and H) if processing the output.
-o, --options
  Comma-separated ordered list of columns. Precede the list with '+' to append to the default selection of columns. Column names are: vg_fmt, vg_uuid, vg_name, vg_attr, vg_size, vg_free, vg_sysid, vg_extent_size, vg_extent_count, vg_free_count, max_lv, max_pv, pv_count, lv_count, snap_count, vg_seqno, vg_tags, vg_mda_count, vg_mda_free, and vg_mda_size. Any "vg_" prefixes are optional. Columns mentioned in either pvs (8) or lvs (8) can also be chosen, but columns cannot be taken from both at the same time. Use -o help to view the full list of fields available.

  The vg_attr bits are:

1
  Permissions: (w)riteable, (r)ead-only
2
  Resi(z)eable
3
  E(x)ported
4
  (p)artial
5
  Allocation policy: (c)ontiguous, c(l)ing, (n)ormal, (a)nywhere, (i)nherited
6
  (c)lustered

-O, --sort
  Comma-separated ordered list of columns to sort by. Replaces the default selection. Precede any column with - for a reverse sort on that column.
--rows
  Output columns as rows.
--separator Separator
  String to use to separate each column. Useful if grepping the output.
--unbuffered
  Produce output immediately without sorting or aligning the columns properly.
--units hsbkmgtHKMGT
  All sizes are output in these units: (h)uman-readable, (s)ectors, (b)ytes, (k)ilobytes, (m)egabytes, (g)igabytes, (t)erabytes. Capitalise to use multiples of 1000 (S.I.) instead of 1024. Can also specify custom (u)nits e.g. --units 3M
--unquoted
  When used with --nameprefixes, output values in the field=value pairs are not quoted.

# SEE ALSO

lvm(8), vgdisplay(8), pvs(8), lvs(8)

LVM TOOLS 2.02.44-cvs (02-17-09) | Sistina Software UK